# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ :name => 'Chicago' }, { :name => 'Copenhagen' }])
#   Mayor.create(:name => 'Daley', :city => cities.first)
# Refinery seeds
[Page, Page::Translation].each do |model|
  model.reset_column_information if defined?(model)
end
# Make pages model seo_meta because not all columns are accessible.
Page::Translation.send :is_seo_meta if defined?(Page::Translation)

Dir[Rails.root.join('db', 'seeds', '*.rb').to_s].each do |file|
  puts "Loading db/seeds/#{file.split(File::SEPARATOR).last}"
  load(file)
end
